This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 767274

Summary: Document type options are not correctly i18n'ed
Product: [Community] Publican Reporter: Ismael Olea <ismael>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED NOTABUG QA Contact: Ruediger Landmann <rlandman>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: futureCC: rlandman
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-06 11:08:53 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ismael Olea 2011-12-13 12:16:31 EST
Description of problem:

At least the options for the creation's document type parameter are not fully internationalized: help asks for translated equivalents but only accepts the English originals

Version-Release number of selected component (if applicable):

tested in 2.8 and trunk

Example:

[olea@lisergia tmp]$ export LANG=es_ES.UTF-8
[olea@lisergia tmp]$ publican create --lang=es --name arriquitaun --type=articulo
el tipo de be ser libro, conjunto o artículo at /usr/bin/publican line 450

[olea@lisergia tmp]$ publican create --lang=es --name arriquitaun --type=conjunto
el tipo de be ser libro, conjunto o artículo at /usr/bin/publican line 450

[olea@lisergia tmp]$ publican create --lang=es --name arriquitaun --type=libro
el tipo de be ser libro, conjunto o artículo at /usr/bin/publican line 450

[olea@lisergia tmp]$ publican create --lang=es --name arriquitaun --type=book
	Processing file es/Author_Group.xml -> es/Author_Group.xml
	Processing file es/Book_Info.xml -> es/Book_Info.xml
	Processing file es/Chapter.xml -> es/Chapter.xml
	Processing file es/Preface.xml -> es/Preface.xml
	Processing file es/Revision_History.xml -> es/Revision_History.xml
	Processing file es/arriquitaun.xml -> es/arriquitaun.xml
Comment 1 Ismael Olea 2012-02-06 11:08:53 EST
I suppose it's just a l10n problem, so I've updated es.po. See #787739.

Closing.